<?xml version="1.0"?>
<!--
   js_iepixelbug.xsl - XSL-templates for Javascript for IE pixel bug fix (UNMS-II)
   Copyright (c) 2005, Generex GmbH. All rights reserved.
   klaus
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" indent="yes" omit-xml-declaration="yes" encoding="iso-8859-1"/>

  <!-- javascript for IE 2pixel bug fix -->
  <xsl:template name="IEpixelBugfixDef">
    <xsl:param name="layername" select="'background'" />
    <xsl:param name="pixels" select="'0'" />

    <script type="text/javascript">
      <!--<xsl:comment>-->
      <![CDATA[   
      var isFirefox = false;
      var isIE = false;
	
      if(navigator.appName.indexOf("Netscape")!= -1) isFirefox = true;
      if(navigator.appName.indexOf("Explorer") != -1) isIE = true;

      function IEPixelBugFix()
      {
      	
      	var layername = "<xsl:value-of select='$layername'/>";
      	var pixels    = "<xsl:value-of select='$pixels'/>";
        var layer = document.getElementById(layername);
        if(layer){
          	var top = parseInt(layer.style.top.substr(0, layer.style.top.length-2))+parseInt(pixels);
          	layer.style.top = top + "px";
        }
      }
    ]]>
      <!--</xsl:comment>-->
    </script>

  </xsl:template>
  <xsl:template name="IEpixelBugfixCall">
    <script type="text/javascript">
      <xsl:comment>
        if(isIE){ IEPixelBugFix(); }
      </xsl:comment>
    </script>
  </xsl:template>
</xsl:stylesheet>