<?xml version="1.0"?>
<!--
   aeg_prtof_cmd_panel.xsl - AEG commands UPS screen.
   Copyright (c) 2010, Generex GmbH. All rights reserved.
   said raqui
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Body-->
  <xsl:template name="aeg_prtof_cmd_panel-body">
    <xsl:apply-templates />
  </xsl:template>
  <!-- Implementation -->
  <xsl:template match="values">
    <!--title-->
    <div class="XLargeBold" style="position:absolute; top:13px;left:22px;width:300px;text-align:center;">
      <xsl:value-of select="'UPS&#160;Control&#160;Function'"/>
    </div>
    <!--PRTOF battery test panel-->
    <xsl:call-template name="prtof-battery-test-panel">
      <xsl:with-param name="top" select="'62'"/>
      <xsl:with-param name="left" select="'21'"/>
      <xsl:with-param name="w" select="'314'"/>
      <xsl:with-param name="h" select="'160'"/>
      <xsl:with-param name="border" select="'1'"/>
      <xsl:with-param name="class" select="'XLarge'"/>
      <xsl:with-param name="id" select="'prtof-battery-test-id'"/>
    </xsl:call-template>
    <!--infos variable-->
    <xsl:variable name="infos">
      <xsl:choose>
        <xsl:when test="string-length(value[@name='infos']/@val)!=0">
          <xsl:value-of select="value[@name='infos']/@val" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:if test="string-length($infos)!=0">
      <xsl:call-template name="extcmd_infos">
        <xsl:with-param name="infos" select="value[@name='infos']/@val"/>
        <xsl:with-param name="color" select="value[@name='color']/@val"/>
        <xsl:with-param name="top" select="'262'"/>
        <xsl:with-param name="left" select="'30'"/>
      </xsl:call-template>
    </xsl:if>

  </xsl:template>
  <!-- EOS -->
</xsl:stylesheet>