#!/bin/sh

TNOW=$(date -u "+%Y%m%dT%H%M")
filename="networktrace-$TNOW.tar.gz"
GXSERVE="gxserve"
HIAWATHA="hiawatha"
ETC="etc"
TDIR="/tmp/networktrace"
LOGDIR="/var/log"
TLOGDIR="${TDIR}/logs"

#TSYSARCNAME="system.tar"

# save networktrace relevant files
mkdir -p "${TLOGDIR}"
cp -f "${LOGDIR}/networktrace.bin"* "${TLOGDIR}"
cp -f "${LOGDIR}/messages"* "${TLOGDIR}"
tar -c -C "${TDIR}" "logs" | gzip > "${TDIR}/${filename}"
chown -R www-data:www-data "${TDIR}"
rm -r "${TLOGDIR}"
