#!/bin/sh

TDIR="/tmp/backupBACSLogs"

failMsg=$("/usr/bin/createBACSLogsBackup.sh")
if [ "0" -ne "$?" ]; then
   filename="error.txt"
   rm -rf "${TDIR}/"
   echo "Content-Location: $filename"
   echo "Content-Type: application/octet-stream"
   echo "Content-Disposition: attachment; filename=\"$filename\""
   echo "Content-Transfer-Encoding: binary"
   echo "Pragma: private"
   echo "Cache-Control: no-cache"
   echo "Title: $filename"
   echo "Expires: Thu, 1 Jan 1970 00:00:00 GMT"
   echo ""
   echo "backup failed."
   exit 1
fi

filename=$(ls -l ${TDIR}/backup* | head -1 | awk '{print $9}' | awk -F "/" '{print $NF}')

echo "Content-Location: $filename"
echo "Content-Type: application/octet-stream"
echo "Content-Disposition: attachment; filename=\"$filename\""
echo "Content-Transfer-Encoding: binary"
echo "Pragma: private"
echo "Cache-Control: no-cache"
echo "Title: $filename"
echo "Expires: Thu, 1 Jan 1970 00:00:00 GMT"
echo ""

cat "${TDIR}/${filename}"
rm -rf "${TDIR}/"

