/**

   panes.js : Functions for  UPS_View API.
   Copyright (c) 2011, Generex GmbH. All rights reserved.
   Said
**/

function create_footer_pane(left, top, width, height, class_) //footer pane
{
  var td, tr, footer_div, table, tbody, cssObj, cmd, w, h;

  footer_div = create_div('footer_id', left, top, width, height, 'white', class_);
  footer_div.css('border', '1px solid #3F5987');


  table = jQuery('<table />').attr('cellpadding', 2).attr('cellspacing', 2).attr('class', class_).
  css('margin-left', '10px');
  tbody = jQuery('<tbody />');

  tr = jQuery('<tr />');
  td = jQuery('<td />');
  td.append("Location : " + ups_location);
  td.appendTo(tr);
  tr.appendTo(tbody);
  tbody.appendTo(table);
  table.appendTo(footer_div);


  table = jQuery('<table />').attr('cellpadding', 2).attr('cellspacing', 2).attr('class', class_).
  css('margin-left', '10px');
  tbody = jQuery('<tbody />');

  tr = jQuery('<tr />');
  td = "<td><a href=\"javascript:openHTMLWin('Log Files', 300, 135,'logfile.html', log_win)\" class=\"btn\">";
  td += "<span><span>" + lang_Logfile + "</span></span></a></td>";
  tr.append(td);

  w = 706;
  h = 534;
  if (oem_view_name == "prtof48" || oem_view_name == "prtof12" || oem_view_name == "prtof96") {
    cmd = "-logon aeg_prtof_test no pw 3";
    w = 370;
    h = 320;
  } else if (oem_view_name == "atser36" || oem_view_name == "atser96" || oem_view_name == "atser240")
    cmd = "-logon aeg_atser_test no pw 3";

  else if (oem_view_name == "prt31" || oem_view_name == "prt33")
    cmd = "-logon aeg_cbsr_test no pw 3";

  else if (oem_view_name == "aeser240")
    cmd = "-logon aeg_aeser_test no pw 3";

  else if (oem_view_name == "griser240")
    cmd = "-logon aeg_protd_test no pw 3";

  else if (oem_view_name == "protd")
    cmd = "-logon aeg_aeser_test no pw";

  else if (oem_view_name == "mdelta")
    cmd = "-logon aeg_mdelta_test no pw 3";

  else if (oem_view_name == "geml" || oem_view_name == "gematch" || oem_view_name == "vh" ||
    oem_view_name == "delta" || oem_view_name == "cp4") {
    cmd = "-logon getUPSTest_data no pw 3";
    w = 500;
    h = 270;
  } else {
    cmd = "'-logon def_test no pw 3'";
    w = 416;
    h = 420;
  }

  td = "<td><a href=\"javascript:openWin('UPS Test Functions'," + w + "," + h + "," + cmd + ", funct_win)\"" + " class=\"btn\">";
  td += "<span><span>" + lang_functions_button + "</span></span></a></td>";
  tr.append(td);

  td = "<td><a href=\"javascript:openWin('UPS&#160;View&#160;Scheduler',570,420,'-logon copy_appointment no pw', win_scheduler)\" class=\"btn\">";
  td += "<span><span>" + "Scheduler" + "</span></span></a></td>";
  tr.append(td);

  if (oem_view_name == "abler2") {
    td = "<td><a href=\"javascript:openWin('Extended&#160;Commands',570,520,'-logon ext_ups_cmds no pw', ext_upscmd_win)\" class=\"btn\">";
    td += "<span><span>" + "Extended&#160;Cmds" + "</span></span></a></td>";
    tr.append(td);
  }

  if (os_name != "WINDOWS") {
    td = "<td><a href=\"javascript:openHTMLWin('UPS Configuration',570,520,'jupscfg.html', conf_win)\" class=\"btn\">";
    td += "<span><span>" + "Configuration" + "</span></span></a></td>";
    tr.append(td);
  }

  tr.appendTo(tbody);
  tbody.appendTo(table);
  table.appendTo(footer_div);
}

var funct_win = null;
var win_scheduler = null;
var log_win = null;
var conf_win = null;
var ext_upscmd_win = null;

function openHTMLWin(title, w, h, site, win_obj) {

  x = screen.availWidth / 2 - w / 2;
  y = screen.availHeight / 2 - h / 2;
  index = location.href.indexOf("cgi-bin");
  if (index != -1) {
    href = location.href.substring(0, index);
    href = href.concat(site);
    if (win_obj != null && !win_obj.closed)
      win_obj.close();
    var size = 'width=' + w + ',height=' + h;
    var pos = 'left=' + x + ',top=' + y + ',screenX=' + x + ',screenY=' + y;
    win_obj = window.open(href, 'title', size + pos);
    win_obj.trigger("focus");
  }
}

function openWin(title, w, h, args, win_obj) {
  var x = screen.availWidth / 2 - w / 2;
  var y = screen.availHeight / 2 - h / 2;
  var index = location.href.indexOf("?");
  if (index != -1) {
    href = location.href.substring(0, index + 1);
    href = href.concat(args);
    if (win_obj != null && !win_obj.closed)
      win_obj.close();
    var size = 'width=' + w + ',height=' + h;
    var pos = 'left=' + x + ',top=' + y + ',screenX=' + x + ',screenY=' + y;
    win_obj = window.open(href, "title", size + pos);
    win_obj.trigger("focus");
  }
}