<?xml version="1.0"?>
<!--
   language.xsl - holds language ressources as variables.
   Language: English
   Copyright (c) 2005, Generex GmbH. All rights reserved.
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" indent="yes" omit-xml-declaration="yes" encoding="iso-8859-1"/>
  <xsl:variable name="installation-language"  select="'en'"/>
  <!-- panel2.xsl-->
  <xsl:variable name="lang-Logfile" select="'Log file'"/>
  <!--aux_sensor_panel.xsl-->
  <xsl:variable name="lang-aux_sensor-title" select="'AUX Status and Sensors'"/>
  <xsl:variable name="lang-aux_sensor-button" select="'AUX Sensors'"/>
  <xsl:variable name="lang-aux-title" select="'AUX Status'"/>
  <!-- nmsLog.xsl (xsl_util.xsl)-->
  <xsl:variable name="lang-Time" select="'Time'"/>
  <xsl:variable name="lang-Date" select="'Date'"/>
  <!-- aeg_sts_panel.xsl -->
  <xsl:variable name="lang-Disabled" select="'Disabled'"/>
  <xsl:variable name="lang-disabled" select="'disabled'"/>
  <xsl:variable name="lang-not-reachable" select="'not reachable'"/>
  <xsl:variable name="lang-Not-reachable" select="'Not reachable'"/>
  <!-- GE screens -->
  <xsl:variable name="lang-Source" select="'Source'" />
  <!-- General -->
  <xsl:variable name="lang-DataLog-Chart" select="'DataLog Chart'"/>
  <xsl:variable name="lang-functions-button" select="'Functions'"/>
  <xsl:variable name="lang-frequency" select="'frequency'"/>
  <xsl:variable name="lang-Frequency" select="'Frequency'"/>
  <xsl:variable name="lang-Frequency-short" select="'Freq.'"/>
  <xsl:variable name="lang-Input-voltage" select="'Input voltage'"/>
  <xsl:variable name="lang-Input-voltage-sep" select="'Input voltage'"/>
  <xsl:variable name="lang-Input-Voltage" select="'Input Voltage'"/>
  <xsl:variable name="lang-Input-current" select="'Input current'"/>
  <xsl:variable name="lang-Input-Current" select="'Input Current'"/>
  <xsl:variable name="lang-Input-frequency" select="'Input frequency'"/>
  <xsl:variable name="lang-Input-Frequency" select="'Input Frequency'"/>
  <xsl:variable name="lang-Input-frequency-sep" select="'Input frequency'"/>
  <xsl:variable name="lang-Output-voltage" select="'Output voltage'"/>
  <xsl:variable name="lang-Output-voltage-sep" select="'Output voltage'"/>
  <xsl:variable name="lang-Output-Voltage" select="'Output Voltage'"/>
  <xsl:variable name="lang-Output-frequency" select="'Output frequency'"/>
  <xsl:variable name="lang-Output-frequency-sep" select="'Output frequency'"/>
  <xsl:variable name="lang-Output-Frequency" select="'Output Frequency'"/>
  <xsl:variable name="lang-Output-current" select="'Output current'"/>
  <xsl:variable name="lang-Output-Current" select="'Output Current'"/>
  <xsl:variable name="lang-Input" select="'Input'"/>
  <xsl:variable name="lang-Output" select="'Output'"/>
  <xsl:variable name="lang-Load" select="'Load'"/>
  <xsl:variable name="lang-Current" select="'Current'"/>
  <xsl:variable name="lang-Battery" select="'Battery'"/>
  <xsl:variable name="lang-Battery-voltage" select="'Battery zvoltage'"/>
  <xsl:variable name="lang-Battery-Voltage" select="'Battery Voltage'"/>
  <xsl:variable name="lang-Battery-capacity" select="'Battery capacity'"/>
  <xsl:variable name="lang-Battery-capacity-sep" select="'Battery capacity'"/>
  <xsl:variable name="lang-Battery-Capacity" select="'Battery Capacity'"/>
  <xsl:variable name="lang-Battery-Capacity-short" select="'Capacity'"/>
  <xsl:variable name="lang-Temperature" select="'Temperature'"/>
  <xsl:variable name="lang-Temperature-USV" select="'Temperature (USV)'"/>
  <xsl:variable name="lang-Temperature-short" select="'Temp'"/>
  <xsl:variable name="lang-SM_T" select="'SM_T'"/>
  <xsl:variable name="lang-SM_H" select="'SM_H'"/>
  <xsl:variable name="lang-UPS-uptime" select="'UPS uptime'"/>
  <xsl:variable name="lang-Autonomy-time" select="'Autonomy time'"/>
  <xsl:variable name="lang-Autonomy-Time" select="'Autonomy Time'"/>
  <xsl:variable name="lang-Autonomy-time-sep" select="'Autonomy time'"/>
  <xsl:variable name="lang-Battery-lifetime" select="'Battery lifetime'"/>
  <xsl:variable name="lang-Low-threshold" select="'Low threshold'" />
  <xsl:variable name="lang-High-threshold" select="'High threshold'" />
  <xsl:variable name="lang-Off" select="'Off'" />
  <xsl:variable name="lang-On" select="'On'" />
  <xsl:variable name="lang-SM2-Analog-long">Analog input</xsl:variable>
  <xsl:variable name="lang-SM2-Values" select="'SM II Values'" />
  <xsl:variable name="lang-Selection" select="'Selection'" />
  <xsl:variable name="lang-Configuration" select="'Configuration'" />
  <xsl:variable name="lang-digital-In" select="'Digital Input'" />
  <xsl:variable name="lang-digital-in" select="'Digital input'" />
  <xsl:variable name="lang-digital-Out" select="'Digital Output'" />
  <xsl:variable name="lang-digital-out" select="'Digital output'" />
  <xsl:variable name="lang-Analog-Alarms" select="'Analog Alarms'" />
  <xsl:variable name="lang-Analog-alarms" select="'Analog alarms'" />
  <xsl:variable name="lang-Days" select="'days'" />
  <xsl:variable name="lang-Avg-temperature" select="'Avg. temperature'" />
  <xsl:variable name="lang-Aux-Mains-Input-Failure" select="'Aux Mains Input Failure'"/>
  <!---->
  <xsl:variable name="lang-Inactive" select="'Inactive'" />
  <xsl:variable name="lang-Active" select="'Active'" />
  <xsl:variable name="lang-No-alarm" select="'No alarm'" />
  <xsl:variable name="lang-Alarm-ack" select="'Alarm acknowledged'" />
  <xsl:variable name="lang-Alarm-active" select="'Alarm active'" />
  <!--switch (STS)-->
  <xsl:variable name="lang-switchA">A</xsl:variable>
  <xsl:variable name="lang-switchB">B</xsl:variable>
  <xsl:variable name="lang-general-fault">
    <xsl:value-of select="'General Failure'"/>
  </xsl:variable>
  <!--AEG screens-->
  <xsl:variable name="lang-UPS-Values" select="'UPS Values'" />
  <xsl:variable name="lang-UPS-Status" select="'UPS Status'" />
  <xsl:variable name="lang-UPS-Normal-Operation" select="'Normal  Operation'" />
  <xsl:variable name="lang-UPS-Battery-Operation" select="'Battery Operation'" />
  <xsl:variable name="lang-UPS-Bypass-Operation" select="'Bypass Operation'" />
  <xsl:variable name="lang-Mains-Input" select="'Mains Input'" />
  <xsl:variable name="lang-Voltage" select="'Voltage'"/>
  <xsl:variable name="lang-Status" select="'Status'"/>
  <xsl:variable name="lang-Battery-Low" select="'Battery Low'"/>
  <xsl:variable name="lang-Battery-Fault" select="'Battery Fault'"/>
  <xsl:variable name="lang-Battery-Normal" select="'Normal'"/>
  <xsl:variable name="lang-UPS-Chart" select="'UPS Chart'"/>
  <xsl:variable name="lang-UPS-Events" select="'UPS Events'"/>
  <xsl:variable name="lang-Event" select="'Event'"/>
  <xsl:variable name="lang-Modul-Status" select="'Modul-Status'"/>
  <xsl:variable name="lang-Power" select="'Power'"/>
  <xsl:variable name="lang-Complex-Power" select="'Complex Power'"/>
  <xsl:variable name="lang-Identification" select="'Identification'"/>
  <xsl:variable name="lang-UPS-Typ" select="'UPS Typ'"/>
  <xsl:variable name="lang-Firmware" select="'Firmware'"/>
  <xsl:variable name="lang-Location" select="'Location'"/>
  <xsl:variable name="lang-Module" select="'Module'"/>
  <xsl:variable name="lang-UPS-Manual-Bypass-Operation" select="'Manual Bypass Operation'"/>
  <xsl:variable name="lang-NO-Output" select="'UPS off'"/>
  <xsl:variable name="lang-EPO-active" select="'EPO active'"/>
  <xsl:variable name="lang-Battery-Testing" select="'Battery Testing'"/>
  <xsl:variable name="lang-Battery-Bad" select="'Battery Bad'"/>
  <xsl:variable name="lang-Battery-Depleted" select="'Battery Depleted'"/>
  <xsl:variable name="lang-Total-Power" select="'Total Power'"/>
  <xsl:variable name="lang-Total-Complex-Power" select="'Total Comp. Power'"/>
  <!-- Test -->
  <xsl:variable name="lang-Test-Status" select="'Test-Status'"/>
  <xsl:variable name="lang-Test-Passed" select="'Passed'"/>
  <xsl:variable name="lang-Test-NotPossible" select="'Not possible'"/>
  <xsl:variable name="lang-Test-Running" select="'Running'"/>
  <xsl:variable name="lang-Test-Cancelled" select="'Cancelled'"/>
  <xsl:variable name="lang-Test-Failed" select="'Failed'"/>
  <xsl:variable name="lang-Test-NA" select="'N/A'"/>

  <!--<xsl:variable name="lang-Input-1" select="'Input 1'"/>
	<xsl:variable name="lang-Input-2" select="'Input 2'"/>-->
  <xsl:variable name="lang-Mains-input-1" select="'Mains input 1'"/>
  <xsl:variable name="lang-Mains-input-2" select="'Mains input 2'"/>
  <xsl:variable name="lang-Error" select="'Fault'"/>
  <xsl:variable name="lang-Low" select="'Low'"/>
  <xsl:variable name="lang-Discharging" select="'Discharging'"/>
  <xsl:variable name="lang-Load-segment" select="'Load segment'"/>
  <xsl:variable name="lang-Segment-state" select="'Segment status'"/>
  <xsl:variable name="lang-Converter-mode" select="'Converter mode'"/>
  <xsl:variable name="lang-ECO-mode" select="'ECO mode'"/>
  <xsl:variable name="lang-ECO-plus-mode" select="'ECO&#43;mode'"/>
  <xsl:variable name="lang-Mainsfault-counter" select="'Mainsfault counter'"/>
  <xsl:variable name="lang-DC-Power-Supply-Values" select="'DC-Power Supply Values'"/>
  <xsl:variable name="lang-DC-Power-Supply-State" select="'DC-Power Supply Status'"/>

</xsl:stylesheet>