<?xml version="1.0"?>
<!--
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method = "html" encoding="ISO-8859-1" indent="yes"/>
<!-- name template -->

<xsl:template name="statuslist">
<xsl:param name="sName"/>
	<td style="font-size:8pt" valign="top">
	<xsl:choose >
		<xsl:when test="count($sName)">
		<xsl:for-each select="$sName">
		<xsl:value-of select="."/><br/>
		</xsl:for-each>
		</xsl:when>
		<xsl:otherwise>
		OK
		</xsl:otherwise>
	</xsl:choose>
	</td>
</xsl:template>

<xsl:template match="/">
<html>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
<title>Hirolink Ereignisspeicher</title>
<body style="font-family:Arial,helvetica,sans-serif;font-size:12pt; background-color:#EEEEEE">
<xsl:for-each select="HiroHistory/Settings">

<div style="background-color:teal;color:white;padding:8px; width:800px; height:20px">
<span style="font-weight:bold;color:white;font-size:14pt;">
Hirolink Ereignisspeicher
</span>
</div>
<span style="font-size:8pt">erzeugt: <xsl:value-of select="FileDate"/>, <xsl:value-of select="FileTime"/></span>
<br/>
<br/>
<div style="background-color:gold;color:white;padding:4px;width:800px">
<span style="font-weight:bold;color:white">
Ger&#228;tedaten<br/>
</span>
</div>
<br/>
<table border="0">
	<tr>
		<td style="font-size:10pt">Modell:</td>
		<td style="font-size:10pt"><xsl:value-of select="Type" /> </td>
	</tr>
	<tr>
		<td style="font-size:10pt">Standort: </td>
		<td style="font-size:10pt"><xsl:value-of select="Location" /></td>
	</tr>
</table>
</xsl:for-each>
<br/>
<xsl:for-each select ="HiroHistory/ContactData">
<div style="background-color:gold;color:white;padding:4px;width:800px">
<span style="font-weight:bold;color:white">
Kontaktdaten<br/>
</span>
</div>
<br/>
<table border="0">
	<tr>
		<td style="font-size:10pt">Firma:</td>
		<td style="font-size:10pt"><xsl:value-of select="Company" /></td>
	</tr>
	<tr>
		<td style="font-size:10pt">Abteilung: </td>
		<td style="font-size:10pt"><xsl:value-of select="Department" /></td>
	</tr>
<tr>
	<td><span style="font-size:10pt">Kontakt Person: </span></td>
	<td><span style="font-size:10pt"><xsl:value-of select="Contact" /></span></td>
</tr>
	<tr>
		<td style="font-size:10pt">Stadt: </td>
		<td style="font-size:10pt"><xsl:value-of select="City" /></td>
	</tr>
	<tr>
		<td style="font-size:10pt">Stra&#223;e: </td>
		<td style="font-size:10pt"><xsl:value-of select="Street" /></td>
	</tr>
	<tr>
		<td style="font-size:10pt">Tel.: </td>
		<td style="font-size:10pt"><xsl:value-of select="Phone" /></td>
	</tr>
</table>

<br/>
</xsl:for-each>

<div style="background-color:gold;color:white;padding:4px;width:800px">
<span style="font-weight:bold;color:white">
Hirolink Ereignisse<br/>
</span>
</div>
<br/>
<div style="font-size:10pt">
<table border="1" cellspacing="0" cellpadding="2" width="800">
<tr>
	<th style="font-size:8pt">Datum</th>
	<th style="font-size:8pt">Uhrzeit</th>
	<th style="font-size:8pt">Ger&#228;t</th>
	<th style="font-size:8pt">Microface</th>
	<th style="font-size:8pt">Beschreibung</th>
</tr>
<xsl:for-each select="HiroHistory/HiroEvent">
<tr>
	<td style="font-size:8pt;text-align:center;" align="center" valign="top"><xsl:value-of select="Date" /></td>
	<td style="font-size:8pt" align="center" valign="top"><xsl:value-of select="Time" /></td>
	<td style="font-size:8pt;text-align:center;" align="center" valign="top"><xsl:value-of select="./@DevId" /></td>
	<td style="font-size:8pt;text-align:center;" align="center" valign="top"><xsl:value-of select="./@ControllerId" /></td>
	<td style="font-size:8pt" align="left" valign="top"><xsl:value-of select="Description" /></td>

</tr>  
</xsl:for-each>
</table>
</div>

<br/>

</body>
</html>
</xsl:template>
</xsl:stylesheet>
