/*
 * Specific definitions for TwinSource model DCC-I screens.
 */

const ALL_FLAGS_BIT_POSITION = {
  remoteReset: 0,
  timeWasChanged: 1,
  loadOnSource2: 2,
  loadOnSource1: 3,
  source2FreqOutOfRange: 4,
  source2VoltageInUPQZone: 5,
  source1FreqOutOfRange: 6,
  source1VoltageInUPQZone: 7,
  offDefaultPreferred: 8,
  source2preferred: 9,
  source1preferred: 10,
  setupConfigurationBad: 11,
  systemOverCurrent: 12,
  systemOverLoad: 13,
  loadOnAlternate: 14,
  source1AndSource2OutOfSync: 15,
  source2DCSupplyFailure: 16,
  source2VoltageInMPQZone: 17,
  source1DCSupplyFailure: 18,
  source1VoltageInMPQZone: 19,
  communicationLost: 20
};

const METRICS = {
  source1: 'S1',
  source2: 'S2',
  source1Voltage: 'source1Voltage',
  source1Frequency: 'source1Frequency',
  source2Voltage: 'source2Voltage',
  source2Frequency: 'source2Frequency',
  load: 'Load',
  loadInAmpere: 'loadInAmpere',
  powerInWatts: 'powerInWatts',
  loadVoltAmpere: 'loadVoltAmpere',
  powerFactor: 'powerFactor'
};

const yDiagramOffset = 7;