/*
 * Specific definitions for TwinSource models DCC-II and DCC-III screens.
 */

const ALARM_STATUS_FLAGS_BIT_POSITION = {
  source1VoltageInMPQZone: 0,
  source1VoltageInUPQZone: 1,
  source1FreqOutOfRange: 2,
  source1OpenSCR: 3,
  source1ShortedSCR: 4,
  source1LogicPowerSupplyFailure: 5,
  source1GateDriverPowerSupplyFailure: 6,
  source2VoltageInMPQZone: 7,
  source2VoltageInUPQZone: 8,
  source2FreqOutOfRange: 9,
  source2OpenSCR: 10,
  source2ShortedSCR: 11,
  source2LogicPowerSupplyFailure: 12,
  source2GateDriverPowerSupplyFailure: 13,
  source1Preferred: 14,
  source2Preferred: 15,
  loadOnSource1: 16,
  loadOnSource2: 17,
  source1AndSource2OutOfSync: 18,
  loadOnAlternate: 19,
  systemOverloaded: 20,
  systemOutputFaultCurrent: 21,
  systemOverTemperature: 22,
  fanFailure: 23,
  returnTransferEnable: 24,
  communicationLost: 25,
  spare: 26,
  selectorSwitchOffNormal: 28,
  selectorSwitchDoNotBypass: 29,
  serviceEM: 30,
  summaryAlarm: 31
};

const METRICS = {
  source1: 'S1',
  source2: 'S2',
  load: 'Load'
};

const yDiagramOffset = 7;